Package org.eclipse.lemminx.extensions.generators

## Interface IFileContentGenerator<Source,​Settings extends FileContentGeneratorSettings>

Type Parameters:
  `Source` - the source document (ex : XML)
  `Settings` - generator settings class.

All Known Implementing Classes:
  `AbstractXML2GrammarGenerator`, `XML2DTDGenerator`, `XML2RelaxNGGenerator`, `XML2XMLSchemaGenerator`

    public interface IFileContentGenerator<Source,​Settings extends FileContentGeneratorSettings>

File content generator API.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `generate​(Source document, SharedSettings sharedSettings, Settings generatorSettings, IXMLFullFormatter formatter, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Generates a file content (ex : XSD, DTD) from the given document source `document` (ex: XML) by using the given settings `generatorSettings`.

### Method Detail

#### generate

    String generate​(Source document,
                    SharedSettings sharedSettings,
                    Settings generatorSettings,
                    IXMLFullFormatter formatter,
                    org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Generates a file content (ex : XSD, DTD) from the given document source `document` (ex: XML) by using the given settings `generatorSettings`.

Parameters:
  `document` - the XML document source.
  `sharedSettings` - the shared settings.
  `generatorSettings` - the generator settings.
  `formatter` - the formatter.
  `cancelChecker` -
Returns:
  the result of the generation of the file content (ex : XSD, DTD) from the given document source `document` (ex: XML) by using the given settings `generatorSettings`.